> ## Documentation Index
> Fetch the complete documentation index at: https://docs.corebanq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all recipients

> Retrieve all recipients with optional filtering



## OpenAPI

````yaml get /v1/customers/{customer_id}/recipients
openapi: 3.0.0
info:
  title: Recipients API
  version: 1.0.0
  description: API for managing payment recipients
servers: []
security:
  - bearerAuth: []
tags:
  - name: Recipients
    description: Payment recipient operations
paths:
  /v1/customers/{customer_id}/recipients:
    get:
      tags:
        - Recipients
      summary: Get all recipients
      description: Retrieve all recipients with optional filtering
      parameters:
        - name: customer_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: limit
          in: query
          schema:
            type: integer
            default: 20
            minimum: 1
            maximum: 100
        - name: offset
          in: query
          schema:
            type: integer
            default: 0
            minimum: 0
        - name: type
          in: query
          schema:
            type: string
            enum:
              - business
              - personal
        - name: country
          in: query
          schema:
            type: string
            minLength: 2
            maxLength: 2
        - name: search
          in: query
          schema:
            type: string
      responses:
        '200':
          description: Recipients retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RecipientsResponse'
        '401':
          $ref: '#/components/responses/UnauthorizedError'
        '403':
          $ref: '#/components/responses/ForbiddenError'
components:
  schemas:
    RecipientsResponse:
      type: object
      properties:
        recipients:
          type: array
          items:
            $ref: '#/components/schemas/Recipient'
        total:
          type: integer
          minimum: 0
        has_more:
          type: boolean
    Recipient:
      allOf:
        - $ref: '#/components/schemas/RecipientInput'
        - type: object
          required:
            - id
            - customer_id
          properties:
            id:
              type: string
              format: uuid
            customer_id:
              type: string
              format: uuid
    Error:
      type: object
      required:
        - code
        - message
      properties:
        code:
          type: string
        message:
          type: string
    RecipientInput:
      type: object
      required:
        - iban
        - legal_name
        - country
        - city
        - legal_address
        - bic
        - bank
        - type
      properties:
        iban:
          type: string
        legal_name:
          type: string
        country:
          type: string
          minLength: 2
          maxLength: 2
        city:
          type: string
        legal_address:
          type: string
        bic:
          type: string
          pattern: ^[A-Z]{4}[A-Z]{2}[A-Z0-9]{2}([A-Z0-9]{3})?$
        bank:
          type: string
        type:
          type: string
          enum:
            - business
            - personal
        intermediate_bic:
          type: string
          pattern: ^[A-Z]{4}[A-Z]{2}[A-Z0-9]{2}([A-Z0-9]{3})?$
        intermediate_bank:
          type: string
        intermediate_route:
          type: string
        email:
          type: string
          format: email
        phone:
          type: string
        reference:
          type: string
  responses:
    UnauthorizedError:
      description: Authentication required
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            code: common.unauthorized
            message: Authentication required
    ForbiddenError:
      description: Insufficient permissions
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            code: common.forbidden
            message: Insufficient permissions
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````